/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_is_prime.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: lorenuar <lorenuar@student.s19.be>         +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2019/11/12 13:22:00 by lorenuar          #+#    #+#             */
/*   Updated: 2019/11/12 13:40:51 by lorenuar         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int		ft_is_prime(int nb)
{
	int i;

	i = 1;
	if (nb < 2)
		return (0);
	else if (nb == 2)
		return (1);
	else if (nb > 2)
	{
		while (i < (nb / i))
		{
			if ((nb % ++i) == 0)
				return (0);
		}
	}
	return (1);
}
